Subject: linux-next: build failure in final build

From: Mark Brown <[email-masked]>
Date: Mon, 19 Jan 2026 22:30:20 +0000

Hi all,

After merging all trees, today's final linux-next build (arm64
allyesconfig) failed like this:

error[E0560]: struct `drm_panthor_gpu_info` has no field named `pad0`
  --> /tmp/next/build/drivers/gpu/drm/tyr/gpu.rs:75:13
   |
75 |             pad0: 0,
   |             ^^^^ `drm_panthor_gpu_info` does not have this field
   |
   = note: available fields are: `selected_coherency`

Caused by commit

   8304c44631c37 (drm/tyr: use generated bindings for GpuInfo)

I tried reverting that but got several other build errors:

error: field `device` is never read
  --> /tmp/next/build/drivers/gpu/drm/tyr/driver.rs:36:5
   |
35 | pub(crate) struct TyrDriver {
   |                   --------- field in this struct
36 |     device: ARef<TyrDevice>,
   |     ^^^^^^
   |
   = note: `-D dead-code` implied by `-D warnings`
   = help: to override `-D warnings` add `#[allow(dead_code)]`

error: fields `mali` and `sram` are never read
   --> /tmp/next/build/drivers/gpu/drm/tyr/driver.rs:202:5
    |
201 | struct Regulators {
    |        ---------- fields in this struct
202 |     mali: Regulator<regulator::Enabled>,
    |     ^^^^
203 |     sram: Regulator<regulator::Enabled>,
    |     ^^^^

at which point I gave up and marked the driver as BROKEN for today, I
might take another look tomorrow.

I note that the dependency that the rust DRM drivers have on DRM=y means
that they evade allmodconfig build coverage which is not playing well
here.  I will move the drm-rust and drm-nova trees to be the last trees
merged to mitigate this issue, their fixes trees will still be affected.